TaliwareTaliware Developer

CL2C Swagger reference

Choose an endpoint, enter its required values, and inspect or send a real API request.

OpenAPI 3.0.3 · Swagger format

View or download the OpenAPI specification

21 endpoints
Complete endpoint URL
gethttps://developer.taliware.com/api/v1/cl2c/user/{id}

Get a specific userOrganization by id (admin/org-scoped)

Retrieve a userOrganization entry plus linked user and NFT ownership info. Includes pending invitations if user not yet registered.

GET
/cl2c/user/{id}
x-api-key<token>

In: header

Path Parameters

idstring

The ID of the userOrganization or invitation

Response Body

curl -X GET "https://developer.taliware.com/api/v1/cl2c/user/string"
{
  "id": "string",
  "email": "string",
  "walletAddress": "string",
  "user": {
    "name": "string",
    "image": "string"
  },
  "endUserNfts": [
    {
      "status": "string",
      "percentage": 0,
      "copyAuthLocation": "string",
      "copyAuthTimestamp": "2019-08-24T14:15:22Z",
      "nft": {
        "id": "string",
        "status": "string",
        "mintedAt": "2019-08-24T14:15:22Z",
        "supply": 0,
        "name": "string",
        "description": "string",
        "externalUrl": "string",
        "imagePath": "string",
        "smartContract": {
          "name": "string",
          "symbol": "string",
          "contractAddress": "string"
        }
      }
    }
  ],
  "status": "ACTIVE"
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer